Bug 982536 - Agent stops working after logging in over WAN
Agent stops working after logging in over WAN
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-vdagent-win (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Arnon Gilboa
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-07-09 05:09 EDT by Tomas Jamrisko
Modified: 2013-07-18 11:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-17 05:06:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2013-07-09 05:09:13 EDT
Description of problem:
Connecting to a XP VM over really slow WAN (>300 ms latency, ~ 2 MBit/s) can result in agent stopping after logging in (without SSO). 

Version-Release number of selected component (if applicable):

How reproducible:
Random, not all that often

Steps to Reproduce:
1. Make sure you have a slow network
2. Start the VM in RHEVM, don't connect to it until it's up and running
3. Connect to the VM, manually log in (you don't want SSO) 

Actual results:
The agent occasionally doesn't work, only service is up and running

Expected results:
Agent should be working

Additional info:
Agent seems to work before logging in, as the resolution of the guest gets changed. 
Also, it's important to login during this "adjustment" phase. Agent is more likely to work after you login when the resolution is set properly
Comment 1 Tomas Jamrisko 2013-07-17 05:06:30 EDT
Could not reproduce after updating virtio
Comment 2 Arnon Gilboa 2013-07-18 11:36:32 EDT
(In reply to Tomas Jamrisko from comment #1)
> Could not reproduce after updating virtio

so far tested with virtio-win-prewhql-0.1-64

Note You need to log in before you can comment on or make changes to this bug.